//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popafm03x1Func2:not('.noevent')", function (e) {
  $('#popafm03x1Search').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popafm03x1Func5:not('.noevent')", function (e) {
  afm03x1.initial();
});
//　F9 決定
$(document).on("click", ".popafm03x1Func9:not('.noevent')", function (e) {
  $("#popafm03x1Select").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popafm03x1Func12:not('.noevent')", function (e) {
  $('#popafm03x1Close').trigger('popClose');
});

$(document).on("focus", "#afm03x1Dummy", function(e) {
  $(".popafm03x1Func2").focus();
});

function dspPopupafm03x1($me) {  //表示
  if ($me.attr("readonly") == "readonly" || $me.attr("readonly") == true) {
    return true
  }
console.log("dspPopupafm03x1");

  var grp = $me.closest(".cucdGrp");
  var cucd = grp.find(".cucd")[0];

  popup.openPopup("afm03x1", $(grp));

  common.setValue($("#afm03x1OrgTitle"), common.getValue($("#topPrgTitle")));
  common.setValue($("#topPrgTitle"),"得意先選択");

  var id = common.getId( $(cucd) );
  $("#afm03x1Cd").data("popObjId", id);

  afm03x1.initial();
  $("#afm03x1Nm").focus();
  common.setDetailHeight($("#afm03x1Detail"));

  var $stpflg = $me.data("stpflg"); //0=廃止可(デフォルト) 1=廃止不可 2=マスタ無し可能
  console.log($stpflg);
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }
  console.log($stpflg);
  common.setValue("#afm03x1Stpflg",$stpflg);

  //名称取得で複数結果があったら検索画面を開く
  console.log($me.data("multiCucd"));
  console.log(common.getValue($me));
  if($me.data("multiCucd") == '1') {
    console.log("multiCucd : "+common.getValue($me));
    common.setValue($("#afm03x1Ccd"),common.getValue($me));
    $me.data("multiCucd","");
    common.setValue($me,"");
    doSerach = true;
  }
  if(doSerach) {
    $("#popafm03x1Search").trigger("click");
  }

}

$(document).on("openAfm03x1", ".popCucd", function(e) {
  dspPopupafm03x1($(this));
});


$(document).on("click", "#popafm03x1Search", function (e) {
  var me = this;
  // 読込

  var $stpflg = common.getValue("#afm03x1Stpflg");

  afm03x1.deldetail();  //明細削除

  var sendData = {};
  sendData["popmode"] = "afm03x1";
  sendData["cnm"] = $("#afm03x1Cnm").val();
  sendData["ccd"] = $("#afm03x1Ccd").val();
  sendData["zip"] = $("#afm03x1Zip").val();
  sendData["add"] = $("#afm03x1Add").val();
  sendData["tel"] = $("#afm03x1Tel").val();
  sendData["fax"] = $("#afm03x1Fax").val();
  sendData['stpflg'] = $stpflg;

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popafm03x1Search", function (e, data) {
  var list = JSON.parse(data)

  if (!(list != null)) {
    return false;
  }

  $("#afm03x1Detail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {
    el += afm03x1.appendRow(list[i]);
  }
  $("#afm03x1Detail").append(el);

  common.setDetailHeight($("#afm03x1Detail"));

  $("#afm03x1Detail .detail").first().find("a").focus();
});
$(document).on("regError", "#popafm03x1Search", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#afm03x1Detail .selectRow", function (e) {
  hideToolTip();
  $("#popafm03x1Select").trigger("click");
});

$(document).on("click", "#popafm03x1Select", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#afm03x1Detail .selectRow");
/*
  var selCucd = $("#afm03x1Detail .selectRow .cucd").text();
  var selCuscd = $("#afm03x1Detail .selectRow .cuscd").text();
*/

  var grp = popup.closePopup("afm03x1");
  var cucd = grp.find(".cucd")[0];
  var eventcucd = grp.find(".eventcucd")[0];
  //値をセット
  common.setValue(grp.find(".cucd"), common.getValue($(sel).find(".cucd")));
  common.setValue(grp.find(".cuedi"), common.getValue($(sel).find(".cuedi")));
  common.setValue(grp.find(".cunm"), common.getValue($(sel).find(".cunm")));
  common.setValue(grp.find(".cuknm"), common.getValue($(sel).find(".cuknm")));
  common.setValue(grp.find(".dcflg1"), common.getValue($(sel).find(".dcflg1")));
  common.setValue(grp.find(".dcflg2"), common.getValue($(sel).find(".dcflg2")));
  common.setValue(grp.find(".dcflg3"), common.getValue($(sel).find(".dcflg3")));


//  $(cucd).change();
  $(eventcucd).focus();

  afm03x1.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm03x1OrgTitle")));
  $(eventcucd).trigger("afterSelectAfm03x");
  common.clearError($(eventcucd));
});

$("#popafm03x1Close").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var grp = popup.closePopup("afm03x1");
  grp.find(".popCucd")[0].focus();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm03x1OrgTitle")));
  afm03x1.initial();
  //afm03x1.close();
});

$(document).on("keydown", "#afm03x1Detail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popafm03x1Select").trigger("click");
    return false;
  }
});

var afm03x1 = {
  close: function () {
    this.initial();
    popup.closePopup("afm03x1");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    var row =
    ' <div class="col wp-100 detail"> ' +
    '   <hr> ' +
    '   <div class="col wp-100"> ' +
    '     <a href="#" class="line"> </a> ' +
    '     <div class="item wd-S inputReadOnly cucd">' + n(d.cucd) + '</div>' +
    '     <div class="item wd-L   inputReadOnly cunm ">' + n(d.cunm) + '</div>' +
    '     <input type="hidden" class="cuedi" value="' +  n(d.cuedi) + '">' +
    '     <input type="hidden" class="cuknm" value="' +  n(d.cuknm) + '">' +
    '   </div> ' +
    ' </div> ';

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("afm03x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".afm03x1").find(".header_popafm03x1");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("afm03x1Detail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#afm03x1Cnm").focus();

  },
}
